#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("SUMX.inp");
    ofstream f2("SUMX.out");
    int n;
    f1>>n;
    int a[n];
    for (int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sort(a,a+n);
    int b;
    f1>>b;
    int dem=0;
    for(int i=0;i<n;i++)
    {
        for(int j=i;j<n;j++)
        {
            if(a[i]+a[j]==b)
            {
                dem++;
            }
        }
    }
    f2<<dem;
}
